# Class PopulationArgs

java.lang.Object
ecoparasite.population.PopulationArgs

public class PopulationArgs extends Object
Permet de stocker les paramètres d'une population pour une année spécifique. Par convention, si on est sur le total, on mettra comme année 0.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PopulationArgs()`
  Constructeur.
  `PopulationArgs(int year)`
  Constructeur.
  `PopulationArgs(int year, int N, PopulationArgInterval length, PopulationArgInterval width, PopulationArgInterval prevalence, PopulationArgInterval ic, Double intensity, Double abondance)`
  Constructeur.
  `PopulationArgs(int N, PopulationArgInterval length, PopulationArgInterval width, PopulationArgInterval prevalence, PopulationArgInterval ic, Double intensity, Double abondance)`
  Constructeur.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Double`
  `getAbondance()`
  `PopulationArgInterval`
  `getIc()`
  `Double`
  `getIntensity()`
  `PopulationArgInterval`
  `getLength()`
  `int`
  `getNumber()`
  `PopulationArgInterval`
  `getPrevalence()`
  `PopulationArgInterval`
  `getWidth()`
  `int`
  `getYear()`
  `String`
  `getZone()`
  `void`
  `setAbondance(Double abondance)`
  `void`
  `setIc(PopulationArgInterval ic)`
  `void`
  `setIntensity(Double intensity)`
  `void`
  `setLength(PopulationArgInterval length)`
  `void`
  `setNumber(int number)`
  `void`
  `setPrevalence(PopulationArgInterval prevalence)`
  `void`
  `setWidth(PopulationArgInterval width)`
  `void`
  `setZone(String zone)`
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PopulationArgs

    public PopulationArgs(int N, PopulationArgInterval length, PopulationArgInterval width, PopulationArgInterval prevalence, PopulationArgInterval ic, Double intensity, Double abondance)
    Constructeur. Toutes les données peuvent être préremplis dans ce constructeur sauf l'année. L'année sera par défaut à zéro.
    Parameters:
      `N` -
      `length` -
      `width` -
      `prevalence` -
      `ic` -
      `intensity` -
      `abondance` -

  - ### PopulationArgs

    public PopulationArgs(int year, int N, PopulationArgInterval length, PopulationArgInterval width, PopulationArgInterval prevalence, PopulationArgInterval ic, Double intensity, Double abondance)
    Constructeur. Toutes les données ainsi que l'année peuvent être préremplis.
    Parameters:
      `year` -
      `N` -
      `length` -
      `width` -
      `prevalence` -
      `ic` -
      `intensity` -
      `abondance` -

  - ### PopulationArgs

    public PopulationArgs(int year)
    Constructeur. Permet de remplir tout d'abord l'année, les autres paramètres seront remplis par les setters.
    Parameters:
      `year` -

  - ### PopulationArgs

    public PopulationArgs()
    Constructeur. Initialise l'objet avec une année par défaut (0).

- ## Method Details

  - ### getYear

    public int getYear()

  - ### getNumber

    public int getNumber()

  - ### getLength

    public PopulationArgInterval getLength()

  - ### getWidth

    public PopulationArgInterval getWidth()

  - ### getPrevalence

    public PopulationArgInterval getPrevalence()

  - ### getIc

    public PopulationArgInterval getIc()

  - ### getIntensity

    public Double getIntensity()

  - ### getAbondance

    public Double getAbondance()

  - ### getZone

    public String getZone()

  - ### setNumber

    public void setNumber(int number)

  - ### setLength

    public void setLength(PopulationArgInterval length)

  - ### setWidth

    public void setWidth(PopulationArgInterval width)

  - ### setPrevalence

    public void setPrevalence(PopulationArgInterval prevalence)

  - ### setIc

    public void setIc(PopulationArgInterval ic)

  - ### setIntensity

    public void setIntensity(Double intensity)

  - ### setAbondance

    public void setAbondance(Double abondance)

  - ### setZone

    public void setZone(String zone)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`